#include <stdio.h>

int main(){
    int r = 0;
    char l, x;
    scanf("%c", &x);

    for(char z = 'A'; z <= x; ++z)
	    r++;
    for(int i = 1; i <= r; ++i){
        l = 'A';

        for(int j = 0; j < r - i; ++j){
            printf(" ");  
        }

        for(int j = 0; j < i; ++j){
            printf("%c", l);
            l++;  
        }
        l -= 2;
        for(int j = 0; j < i - 1; ++j){
            printf("%c", l);
            l--; 
        }
        printf("\n");
    }
    return 0;
}   
